@file:JvmName("Repositories")

package ru.landgrafhomyak.kotlin.kmp_gradle_build_helper

import java.net.URI
import org.gradle.api.artifacts.dsl.RepositoryHandler
import org.gradle.api.credentials.HttpHeaderCredentials
import org.gradle.authentication.http.HttpHeaderAuthentication

public fun RepositoryHandler.defineXomrkGiteaMavenRepo(
	user: String = "xomrk",
	token: String? = System.getenv("XOMRK_GITEA_MAVEN_REPO_DEPLOY_TOKEN")
) {
	maven { b ->
		b.name = "XomrkMaven"
		b.url = URI("https://git.landgrafhomyak.ru/api/packages/${user}/maven")

		if (token != null) {
			b.credentials(HttpHeaderCredentials::class.java) { c ->
				c.name = "Authorization"
				c.value = "token ${token}"
			}

			b.authentication { a ->
				a.create("header", HttpHeaderAuthentication::class.java)
			}
		}
	}
}