@file:JvmName("Targets")

package ru.landgrafhomyak.kotlin.kmp_gradle_build_helper

import org.jetbrains.kotlin.gradle.ExperimentalWasmDsl
import org.jetbrains.kotlin.gradle.dsl.KotlinMultiplatformExtension

@OptIn(ExperimentalWasmDsl::class)
public fun KotlinMultiplatformExtension.defineAllMultiplatformTargets() {
	jvm {
	}
	js(IR) {
		browser()
		nodejs()
	}
	wasmWasi { wasm ->
		wasm.nodejs()
	}
	wasmJs { wasm ->
		wasm.nodejs()
		wasm.browser()
		wasm.d8()
	}

	macosArm64()
	macosX64()
	linuxArm64()
	linuxX64()
	mingwX64()
	androidNativeArm32()
	androidNativeArm64()
	androidNativeX64()
	androidNativeX86()
	iosArm64()
	iosSimulatorArm64()
	iosX64()
	tvosX64()
	tvosArm64()
	tvosSimulatorArm64()
	watchosX64()
	watchosArm32()
	watchosArm64()
	watchosDeviceArm64()
	watchosSimulatorArm64()
}